Bug 624753 - (CVE-2010-2479) CVE-2010-2479 moodle, sahana: XSS flaw in embedded HTML Purifier allows remote arbitrary web script injection
CVE-2010-2479 moodle, sahana: XSS flaw in embedded HTML Purifier allows remot...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100601,reported=20100817,sou...
: Security
Depends On: 624754 624755
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 12:35 EDT by Vincent Danen
Modified: 2016-03-04 05:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:37:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-08-17 12:35:09 EDT
Cross-site scripting (XSS) vulnerability in HTML Purifier before 4.1.1, as used in Mahara and other products, when the browser is Internet Explorer, allows remote attackers to inject arbitrary web script or HTML via unspecified vectors. (CVE-2010-2479)

References:

http://htmlpurifier.org/news/2010/0531-4.1.1-released
http://repo.or.cz/w/htmlpurifier.git/commitdiff/18e538317a877a0509ae71a860429c41770da230

Both Moodle and Sahana contain embedded copies of HTML Purifier and need to be updated.
Comment 1 Vincent Danen 2010-08-17 12:36:40 EDT
Created sahana tracking bugs for this issue

Affects: fedora-all [bug 624755]
Comment 2 Vincent Danen 2010-08-17 12:36:43 EDT
Created moodle tracking bugs for this issue

Affects: fedora-all [bug 624754]
Comment 3 Vincent Danen 2011-06-14 13:07:04 EDT
Sahana is still affected by this flaw in Fedora.  Could this be fixed please?  This issue is quite old.

Note You need to log in before you can comment on or make changes to this bug.